import GLOOP.*;
public class Ballsimulation{
    private GLKamera kamera;
    private GLObjekt licht,boden,himmel;
    private GLTastatur tastatur;

    private Ball[] ball;
    private Hindernis[] hindernis;

    public Ballsimulation(){
        kamera = new GLSchwenkkamera();
        kamera.setzePosition(0,400,1500);
        licht  = new GLLicht();       
        boden  = new GLBoden("Boden.jpg"); 
        himmel = new GLHimmel("Himmel.jpg");
        tastatur = new GLTastatur();

        erstelleHindernisse();
        erstelleBaelle();

        fuehreAus();
    }

    public void fuehreAus(){        
        while (!tastatur.esc()){
            for (int i=0; i<20; i++){
                ball[i].bewegeDich();
                for (int j=0; j<3; j++)
                    ball[i].bearbeiteHindernis(hindernis[j]);
            }
            Sys.warte();
        }
        Sys.beenden();
    }

    private void erstelleHindernisse(){
        hindernis = new Hindernis[3];
        hindernis[0] = new Hindernis(1000,200,0, 50,400,1300);
        hindernis[1] = new Hindernis(-1000,200,0, 50,400,1300);
        hindernis[2] = new Hindernis(0,50,0, 200,100,1300);
    }

    private void erstelleBaelle(){
        ball = new Ball[20];
        for (int i=0; i<20; i++){
            int z = (int) (Math.random()*4);
            if (z==0)
                ball[i] = new Ball(-200,Math.random()*400,-600 +i*60, 20);
            if (z==1)
                ball[i] = new Farbball(-200,Math.random()*400,-600 +i*60, 20);
            if (z==2)
                ball[i] = new Pulsball(-200,Math.random()*400,-600 +i*60, 20);
            if (z==3)
                ball[i] = new Reibball(-200,Math.random()*400,-600 +i*30, 20);
            ball[i].werfen(new GLVektor(Math.random()*4,0,0));
        }
    }
    
}
